.item-grid {
  position: relative;
  width: 20%;
  border-top: 1px solid var(--gray100);
  border-left: 1px solid var(--gray100);
  border-right: 1px solid var(--gray100);
  border-bottom: 1px solid var(--gray100);
  font-size: 14px;
  font-weight: 400;
  color: var(--gray500);
  font-family: var(--font_main);
  margin-top: -1px;
  margin-right: -1px;
  display: flex;
  flex-direction: column;
  .content-top {
    margin-bottom: 8px;
    color: inherit;
    padding: 16px 16px 0;
    @media(max-width: 767px) {
      padding: 8px 8px 0;
    }
  }
  .image-container {
    position: relative;
  }
  .ava {
    display: block;
    width: 100%;
    padding-bottom: 100%;
    position: relative;
    background: #fff;
    img {
      position: absolute;
      top: 0;
      bottom: 0;
      left: 0;
      right: 0;
      margin: auto;
      display: block;
      width: 100%;
      height: 100%;
      transition: 0.5s ease;
    }
  }
  .product-label {
    display: flex;
    position: absolute;
    bottom: 0;
    .label {
      display: inline-block;
      padding: 4px 8px;
      font-size: 12px;
      font-weight: 600;
      line-height: 20px;
      color: #fff;
      &:not(:last-child) {
        margin-right: 4px;
      }
      &.label-new {
        background-color: #21A453;
      }
      &.label-comming {
        background-color: #ED6E33;
      }
      &.label-sale {
        background-color: #D53B2A;
      }
    }
  }
  .time-action {
    font-size: 14px;
    margin-bottom: 8px;
    line-height: 20px;
    color: #ED6E33;
  }
  .name {
    font-size: 16px;
    font-weight: 600;
    margin-bottom: 8px;
    line-height: 20px;
    overflow: hidden;
    text-overflow: ellipsis;
    -webkit-line-clamp: 2;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    a {
      color: var(--black);
      &:hover {
          color: $color2
      }
    }
    @media(max-width: 767px) {
      font-size: 14px;
    }
  }
  .code {
    font-size: 12px;
    margin-bottom: 8px;
  }
  .number-options {
    color: var(--black);
    margin-bottom: 8px;
  }
  .product-price {
    margin-bottom: 8px;
    color: var(--gray500);
  }
  .price {
    strong {
      color: var(--red);
      font-size: 18px;
      line-height: 28px;
      font-weight: 600;
    }
  }
  .price_old {
      display: block;
      text-decoration: line-through;
  }
  .variant-label {
    display: flex;
    align-items: center;
    svg {
      width: 16px;
      height: 16px;
    }
    span {
      display: inline-block;
      vertical-align: middle;
      margin-left: 4px;
    }
  }
  .content-bottom {
    padding: 0 16px 16px;
    margin-bottom: 0;
    color: inherit;
    position: relative;
    flex: 1;
    @media(max-width: 767px) {
      padding: 0 8px 8px;
    }
    
  }
  .content-more {
    display: none;
    position: absolute;
    bottom: 42px;
    width: 100%;
    left: 0;
    z-index: 1;
    transform: translateY(100%);
    background: #fff;
  }
  .changer_color {
    color: #000;
    background: #fff;
    padding: 0 16px 10px;
    border-bottom: 1px solid var(--gray100);
    ul {
      display: flex;
      -ms-flex-wrap: wrap;
      flex-wrap: wrap;
      li {
          display: inline-block;
          margin-top: 6px;
          border: 1px solid transparent;
          &:not(:last-child) {
            margin-right: 8px;
          }
          a,.mode {
              display: block;
              width: 32px;
              height: 32px;
              position: relative;
              img{
                  width: auto;
                  height: auto;
                  position: absolute;
                  top: 0;
                  bottom: 0;
                  left: 0;
                  right: 0;
                  margin: auto;
              }
          }
          &.active,
          &:hover {
              border: 1px solid var(--color_main);
          }
      }
    }
  }
  .desc-global {
    padding: 16px;
    background-color: var(--gray50);
    color: var(--black);
  }
  .more_btn{
    padding: 0 16px;
    background: #fff;
    .btn-default{
        font-size: 14px;
        height: 36px;
        line-height: 35px;
        width: 100%;
        padding: 0 5px;
        &:not(:last-child) {
         margin-bottom: 8px;   
        }
        &:first-child {
          margin-top: 16px;
        }
        &:last-child {
          margin-bottom: 16px;
        }
    }
  }
  @media (min-width: 1024px) {
    transition: all 0.35s ease;
    &:hover {
      box-shadow: 0px 4px 24px rgba(0, 0, 0, 0.25);
      z-index: 3;
      .variant-label {
        opacity: 0;
      }
      .content-more {
        display: block;
        box-shadow: 0px 24px 24px rgba(0, 0, 0, 0.25)
      }
      .ava img {
        transform: translateY(-5px);
      }
    }
  }

  &.item-small {
    .content-more {
      bottom: 0;
    }
    .desc-global {
      font-size: 14px;
      line-height: 20px;
      p {
        margin-bottom: 0;
      }
    }
  }
  .product-slide & {
    border-left: 1px solid transparent;
    margin-left: 0;
    margin-right: 0;
    height: auto;
    margin-top: 0;
  }
}
.swiper-wrapper {
  .item-grid {
    &.swiper-slide-active {
      border-left: 1px solid var(--gray100);
    }
  }
}

.item-list {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  width: 100%;
  padding: 16px;
  border: 1px solid var(--gray100);
  margin-bottom: -1px;
  .content-center {
    width: 42%;
    margin-right: 16px;
  }
  .content-right {
    flex: 1;
  }
  .content-left {
    width: 224px;
  }
  .image-container {
    margin-right: 16px;
    a {
      display: block;
      position: relative;
      padding-top: 100%;
      max-width: 208px;
    }
    img {
      position: absolute;
      top: 0;
      left: 0;
      right: 0;
      bottom: 0;
      width: 100%;
      height: 100%;
      transition-property: opacity;
      object-fit: cover;
    }
  }
  .name {
    font-size: 16px;
    font-weight: 600;
    margin-bottom: 8px;
    line-height: 20px;
    overflow: hidden;
    text-overflow: ellipsis;
    -webkit-line-clamp: 2;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    a {
      color: var(--black);
      &:hover {
          color: $color2
      }
    }
  }
  .code {
    font-size: 12px;
    margin-bottom: 8px;
    color: var(--gray500);
  }
  .changer_color {
    color: #000;
    ul {
      display: flex;
      -ms-flex-wrap: wrap;
      flex-wrap: wrap;
      li {
          display: inline-block;
          margin-top: 6px;
          border: 1px solid var(--gray100);
          border-radius: 2px;
          overflow: hidden;
          &:not(:last-child) {
            margin-right: 8px;
          }
          a,.mode {
              display: block;
              width: 32px;
              height: 32px;
              position: relative;
              img{
                  width: auto;
                  height: auto;
                  position: absolute;
                  top: 0;
                  bottom: 0;
                  left: 0;
                  right: 0;
                  margin: auto;
              }
          }
          &.active,
          &:hover {
              border: 1px solid var(--color_main);
          }
      }
    }
  }
  .number-options {
    color: var(--black);
    margin-bottom: 8px;
  }
  .product-price {
    margin-bottom: 8px;
    color: var(--gray500);
  }
  .price {
    strong {
      color: var(--red);
      font-size: 18px;
      line-height: 28px;
      font-weight: 600;
    }
  }
  .price_old {
    display: block;
    text-decoration: line-through;
  }

}

@media (max-width: 1025px) {
  .item-grid {
    width: 25%;
  }
}

@media (max-width: 991px) {
  .item-grid {
    width: 33.33%;
  }
}

@media (max-width: 767px) {
  .item-grid {
    .number-options {
      font-size: 14px;
    }
    .content-bottom {
      font-size: 14px;
    }
    .price strong {font-size: 14px;}
  }
}

@media (max-width: 480px) {
  .item-grid {
    width: 50%;
  }
}